#include <stdio.h>
#include <wayland-client.h>

int main(int argc, char *argv[])
{
  struct wl_display *display = wl_display_connect(NULL);
  if (!display) {
    fprintf(stderr, "Failed to connect to Wayland display.\n");
    return 1;
  }
  fprintf(stderr, "Connection established!\n");

  while (wl_display_dispatch(display) != -1) {
    /* This space deliberately left blank */
  }

  wl_display_disconnect(display);
  return 0;
}
